]> Untitled Git - bdk/commitdiff
ci: fix pinned rustls and add ci/pin-msrv.sh
authorSteve Myers <steve@notmandatory.org>
Sun, 9 Feb 2025 16:16:09 +0000 (10:16 -0600)
committerSteve Myers <steve@notmandatory.org>
Tue, 18 Feb 2025 16:55:50 +0000 (10:55 -0600)
.github/workflows/cont_integration.yml
README.md
ci/pin-msrv.sh [new file with mode: 0755]

index 6f4aaf38a9fee859bbe2f490c4110c23af755aad..c6d54d52c2791e5a5f926d699e8bc04165617b5e 100644 (file)
@@ -57,16 +57,7 @@ jobs:
           components: clippy
       - name: Pin dependencies for MSRV
         if: matrix.rust.version == '1.63.0'
-        run: |
-          cargo update -p tokio --precise "1.38.1"
-          cargo update -p tokio-util --precise "0.7.11"
-          cargo update -p home --precise "0.5.5"
-          cargo update -p regex --precise "1.7.3"
-          cargo update -p security-framework-sys --precise "2.11.1"
-          cargo update -p url --precise "2.5.0"
-          cargo update -p rustls@0.23.23 --precise "0.23.19"
-          cargo update -p hashbrown@0.15.2 --precise "0.15.0"
-          cargo update -p ureq --precise "2.10.1"
+        run: ./ci/pin-msrv.sh
       - name: Build
         run: cargo build --features bitcoin/std,miniscript/std,${{ matrix.features }} --no-default-features
       - name: Clippy
@@ -204,11 +195,6 @@ jobs:
         toolchain: ${{ matrix.rust.version }}
     - name: Pin dependencies for MSRV
       if: matrix.rust.version == '1.63.0'
-      run: |
-        cargo update -p tokio --precise "1.38.1"
-        cargo update -p tokio-util --precise "0.7.11"
-        cargo update -p home --precise "0.5.5"
-        cargo update -p regex --precise "1.7.3"
-        cargo update -p security-framework-sys --precise "2.11.1"
+      run: ./ci/pin-msrv.sh
     - name: Test
       run: cargo test --features test-hardware-signer
index 11890820f14f594de4454b17d12008f97dbfaaf8..05c3dd021b9b3ae851da2da88f032fe032b19d36 100644 (file)
--- a/README.md
+++ b/README.md
@@ -212,16 +212,4 @@ dual licensed as above, without any additional terms or conditions.
 
 This library should compile with any combination of features with Rust 1.63.0.
 
-To build with the MSRV you will need to pin dependencies as follows:
-
-```shell
-cargo update -p tokio --precise "1.38.1"
-cargo update -p tokio-util --precise "0.7.11"
-cargo update -p home --precise "0.5.5"
-cargo update -p regex --precise "1.7.3"
-cargo update -p security-framework-sys --precise "2.11.1"
-cargo update -p url --precise "2.5.0"
-cargo update -p rustls@0.23.23 --precise "0.23.19"
-cargo update -p hashbrown@0.15.2 --precise "0.15.0"
-cargo update -p ureq --precise "2.10.1"
-```
+To build with the MSRV of 1.63.0 you will need to pin dependencies by running the [`pin-msrv.sh`](./ci/pin-msrv.sh) script.
diff --git a/ci/pin-msrv.sh b/ci/pin-msrv.sh
new file mode 100755 (executable)
index 0000000..4e93d7e
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -x
+set -euo pipefail
+
+# Pin dependencies for MSRV
+
+# To pin deps, switch toolchain to MSRV and execute the below updates
+
+# cargo clean
+# rustup override set 1.63.0
+cargo update -p tokio --precise "1.38.1"
+cargo update -p tokio-util --precise "0.7.11"
+cargo update -p home --precise "0.5.5"
+cargo update -p regex --precise "1.7.3"
+cargo update -p security-framework-sys --precise "2.11.1"
+cargo update -p url --precise "2.5.0"
+cargo update -p rustls@0.23.23 --precise "0.23.19"
+cargo update -p hashbrown@0.15.2 --precise "0.15.0"
+cargo update -p ureq --precise "2.10.1"
\ No newline at end of file